Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.group.impl
Class AbstractGroupMember

    java.lang.Object
      com.pietschy.command.group.impl.AbstractGroupMember

All Implemented Interfaces:
  GroupMember

Direct Known Subclasses:
  AbstractCommandMember, AbstractNonCommandMember, DynamicMember, ExpansionPointMember

    public abstract class AbstractGroupMember

extends java.lang.Object
implements GroupMember

GroupMembers are responsible for managing the children of a `CommandGroup`. Members provide a layer of abstraction that allows for the lazy addition of children to a group as well as providing customized control over how children are rendered within the groups container, for example `inline groups`.

Version:
  $Revision: 1.11 $
Author:
  andrewp

Constructor Summary
`AbstractGroupMember()`

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener changeListener)` Adds a change listener to the member.
`protected void` | `fireChanged()` Notifies listeners that this members state has changed.
`void` | `notifyCommandContainerHierarchyChanged()` Invoked to notify the member that the parent groups container hierarchy has changed.
`void` | `removeChangeListener(javax.swing.event.ChangeListener changeListener)` Removes a change listener from the member.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.pietschy.command.group.impl.GroupMember
`acceptVisitor, addComponentTo, addNotify, getId, isMemberFor, removeNotify, size`

Constructor Detail

### AbstractGroupMember

    public AbstractGroupMember()

Method Detail

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener changeListener)

  Description copied from interface: `GroupMember`
  Adds a change listener to the member. This listener will be notified when ever the members content changes and the parent should be rebuilt.

  Specified by:
    `addChangeListener` in interface `GroupMember`
  Parameters:
    `changeListener` - the change listener to add.

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener changeListener)

  Description copied from interface: `GroupMember`
  Removes a change listener from the member.

  Specified by:
    `removeChangeListener` in interface `GroupMember`
  Parameters:
    `changeListener` - the listener to remove.

### notifyCommandContainerHierarchyChanged

    public void notifyCommandContainerHierarchyChanged()

  Description copied from interface: `GroupMember`
  Invoked to notify the member that the parent groups container hierarchy has changed.

  Specified by:
    `notifyCommandContainerHierarchyChanged` in interface `GroupMember`

### fireChanged

    protected void fireChanged()

  Notifies listeners that this members state has changed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch